- Home
- API Enriched
- Dns
- config
- GET Local Zone File.
GET Local Zone File.
GET
/api/config/dns/namespaces/{namespace}/dns_zone/{dns_zone_name}/local_zone_file
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/config/dns/namespaces/example/dns_zone/example/local_zone_file';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/config/dns/namespaces/example/dns_zone/example/local_zone_file \ --header 'Authorization: <Authorization>'GET local zone file from secondary DNS.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”namespace
required
string
Namespace Namespace is always system for dns_zone.
dns_zone_name
required
string
Name Name dns_zone object which is also the DNS zone.
Responses
Section titled “Responses”A successful response.
Media typeapplication/json
Get local zone file Response
GET local zone file Response.
object
last_axfr_timestamp
Last AXFR timestamp
Last successful zone transfer timestamp.
string format: date-time
zone_file
Local zone file
Local zone file from secondary DNS.
string
Examplegenerated
{ "last_axfr_timestamp": "2026-04-15T12:00:00Z", "zone_file": "example"}Returned when operation is not authorized.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when there is no permission to access resource.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when resource is not found.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when server encountered an error in processing API.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when service is unavailable temporarily.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when server timed out processing request.
Media typeapplication/json
string format: string
Examplegenerated
example